3cbd24d ipa-client-install: update sssd.conf if nsupdate requires -g

2 files Authored by Fran├žois Cami a year ago, Committed by abbra a year ago,
    ipa-client-install: update sssd.conf if nsupdate requires -g
    
    If dynamic DNS updates are selected, sssd will use GSS-TSIG
    by default for nsupdate.
    When ipa-client-install notices that plain nsupdate is required,
    switch sssd to use no authentication for dynamic updates too.
    
    Fixes: https://pagure.io/freeipa/issue/8402
    Signed-off-by: Fran├žois Cami <fcami@redhat.com>
    Reviewed-By: Florence Blanc-Renaud <frenaud@redhat.com>
    Reviewed-By: Rob Crittenden <rcritten@redhat.com>
    
        
file modified
+27 -1